[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# GetDialogIcon (deprecated)

Gets a bitmap with the icon for the specified dialog identifier.

## Declaration

Source position: dialogs.pp line 1056

`function GetDialogIcon(`
`idDiag: Integer`
`):TCustomBitmap;`

## Arguments

`idDiag` |  | Identifier for the dialog type, i. e. idDialogWarning or idDialogShield.

## Function result

Bitmap with the icon for the dialog identifier.

## Description

The bitmap may contain a stock image provided by theme services (when available), or a PNG image image loaded from a Lazarus resource in the application.